/*!
 * Copyright (c) 2022, 2023 Eclipse Foundation, Inc.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * Contributors:
 *   Olivier Goulet <olivier.goulet@eclipse-foundation.org>
 *
 * SPDX-License-Identifier: EPL-2.0
*/
@import (reference) '~eclipsefdn-solstice-assets/less/quicksilver/styles.less';
@import '_variables.less';

.line-break {
  display: block;
}

.section-dark {
  padding-top: 3em;
  padding-bottom: 3em;
  background-color: #262525;

  th,
  td,
  p,
  h2,
  .h2,
  h3,
  .h3,
  h4,
  .h4 {
    color: @section-dark-white;
  }

  a {
    color: @section-dark-white;
  }

  .btn-secondary {
    color: @black;
    background-color: @section-dark-white;

    &:hover {
      background-color: darken(#efebeb, 10%);
    }
  }

  .btn-link-boxed {
    .btn-link;
    padding: 1.25rem;

    &:link,
    &:visited {
      border: 1px solid @section-dark-white;
      color: @section-dark-white;
    }

    &:hover,
    &:active {
      border-color: darken(@section-dark-white, 50%);
      text-decoration: none;
    }
  }
}

// Jumbotron
.header-collaborations {
  .logo-eclipse-default {
    filter: drop-shadow(10px 10px 5px @black);
  }

  h1,
  h2 {
    font-weight: bold;
    text-shadow: 0px 10px 10px @black;
  }

  h1::after {
    display: none;
  }

  h1 {
    margin-bottom: 3rem;
  }

  h2 {
    font-size: 1.75rem;
    margin-top: 0;
    margin-bottom: 3rem;

    @media (min-width: @screen-md-min) {
      font-size: 2.15rem;
    }
  }

  .featured-jumbotron-subtitle {
    margin-bottom: 2rem;
  }

  .btn {
    padding: @collaborations-btn-padding;
  }
}

.header-collaborations-bg-img .featured-jumbotron {
  background-image: url(../../images/collaborations/bg-header.jpg);
  background-repeat: no-repeat;
  background-size: cover;
}

// Collaborating section
.collaborations-collaborating {

  @media (min-width: @screen-md-min) {
    padding-bottom: 6em;
  }
}

.collaborations-col-row {
  @media (min-width: @screen-md-min) {
    padding: 0 3em;
  }

  @media (min-width: @screen-lg-min) {
    padding: 0 6em;
  }
}

.collaborations-col {
  padding-top: @collaborations-padding-y;
  padding-bottom: @collaborations-padding-y;
}

.collaborations-collaborating-bg {
  padding-right: 3em;
  background-image: url(../../images/collaborations/bg-collaborating.jpg);
  background-size: cover;
  min-height: 5em;

  @media (min-width: @screen-sm-min) {
    min-height: 20em;
  }

  @media (min-width: @screen-md-min) {
    min-height: 50em;
  }

  .title-wrapper {
    margin-left: auto;
    max-width: none;
  }

  h2 {
    color: @white;
    text-align: center;
    font-weight: 600;

    @media (min-width: @screen-md-min) {
      text-align: right;
    }
  }
  
  .cta-wrapper {
    text-align: center;

    @media (min-width: @screen-md-min) {
      text-align: right;      
    }
  }
}

.collaborations-collaborating-item {
  display: flex;
  min-height: 11em;

  .item-icon-wrapper {
    position: relative;
    flex-shrink: 0;
    width: 5em;
    margin: @collaborations-icon-wrapper-margin-top 2em 0 0;
  }

  .item-icon {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    padding: 1em;
    text-align: center;
  }

  .item-icon-bg {
    width: 100%;
  }

  .item-content {
    flex-grow: 1;
    color: @collaborating-item-color;
  }

  .item-content-title {
    margin-top: 0.5em;
    font-size: 2rem;
    font-weight: 400;
    color: @black;
  }
}

// Join collaboration section
.join-collaboration-button-col {
  padding: 1em;
  text-align: center;
}

.join-collaboration-button {
  padding: @collaborations-btn-padding;
  width: 75%;
}

@media (min-width: @screen-md-min) {
  .join-collaboration-button-col {
    text-align: right;
  }

  .join-collaboration-button {
    width: initial;
    padding-left: 4em;
    padding-right: 4em;
  }
}

// Start collaboration section
.collaboration-table-wrapper {
  overflow-x: auto;
}

.collaboration-table {
  margin: auto;
  border: none @section-dark-white;
  border-collapse: collapse;

  th,
  td {
    padding: 1em;
    border-width: 1px;
    font-weight: normal;
  }

  thead th {
    text-align: center;
  }

  td:last-child,
  th:last-child {
    border-left: solid 1px;
  }

  tr {
    border-top: 1px solid;
    border-color: @section-dark-white;
  }

  tr:last-child {
    border-top-style: none;
    border-bottom-style: none;
  }
}

.collaboration-table-checked {
  display: block;
  width: 1em;
  height: 1em;
  margin: auto;
  border-radius: 9999px;
  background-color: @brand-primary;
}

.collaboration-table-link-row a {
  display: inline-block;
  text-align: center;
}

.start-collaboration-buttons-wrapper {
  display: flex;
  min-height: 26em;
  flex-direction: column;
  justify-content: center;
  align-items: center;

  a {
    width: 100%;
    display: inline-block;
    text-align: center;
  }
}

.start-collaboration-buttons {
  .btn {
    width: 100%;
    padding: @collaborations-btn-padding;
    margin-bottom: 1em;
  }
}

// Collaborations Content
.collaborations-container {
  .btn {
    white-space: normal;
  }
}
.bold-header {
  font-weight: 500;
}

// Brief Page
.collaborations-brief-container {
  h2,
  .h2,
  h4,
  .h4,
  h5,
  .h5 {
    &:extend(.bold-header);
  }

  .featured-section {
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    h1,
    .h1 {
      font-size: 4rem;
      font-weight: 700;
    }
  }

  .featured-section-dark {
    background-color: black;

    h1,
    .h1 {
      color: @white;
    }

    h2,
    .h2 {
      color: @brand-primary;
      font-weight: 600;
    }

    h4,
    .h4 {
      color: @white;
    }

    p {
      color: @white;
    }
  }

  .featured-section-brief {
    padding-top: 2rem;
    padding-bottom: 2rem;
    color: @featured-section-brief-text-color;
    background-image: url('../../images/collaborations/working-groups/brief/featured-section-bg.jpg');

    @media (min-width: @screen-sm-min) {
      padding-top: 6rem;
      padding-bottom: 6rem;
    }
  }

  .sections {
    position: relative;
  }

  .sections-quote-bar {
    display: none;

    @media (min-width: @screen-md-min) {
      display: inline-block;
      position: absolute;
      top: @sections-section-height-md;
      right: 0;
      z-index: -1;
      height: calc(100% - @sections-section-height-md);
      width: @section-quote-bar-width;
      background-color: @collaborations-black;
    }
  }

  .section-heading {
    display: flex;
    width: 100%;
    height: 100%;
    justify-content: left;
    align-items: center;

    @media (min-width: @screen-md-min) {
      width: 70%;
    }
  }

  .section-heading-number {
    flex-grow: 0;
    padding-right: 0.1em;
    margin: 0;
    color: @brand-primary;
    filter: drop-shadow(0px 3px 6px #00000026);
    font-size: 100px;
    line-height: normal;

    @media (min-width: @screen-md-min) {
      font-size: 150px;
    }
  }

  .section-heading-title {
    flex-grow: 1;
  }

  .sections-section {
    height: @sections-section-height-xs;
    background-color: inherit;

    @media (min-width: @screen-md-min) {
      height: @sections-section-height-md;
    }

    &:target {
      scroll-margin-top: 6rem;
    }

    h3,
    .h3 {
      font-size: 24px;
      font-weight: 400;

      @media (min-width: @screen-md-min) {
        font-size: 32px;
      }
    }
  }

  .sections-content {
    display: flex;
    flex-direction: column;

    @media (min-width: @screen-md-min) {
      flex-direction: row;
    }
  }

  .sections-content-body {
    width: 100%;
    padding: 4rem;
    background-color: @section-content-body-background-color;

    @media (min-width: @screen-md-min) {
      width: calc(100% - @section-quote-bar-width);
      padding: @section-content-padding-y @section-content-padding-x;

      &:hover {
        background-color: @brand-primary-mid;

        a {
          color: @section-content-body-hover-link-color;
        }

        a:visited {
          color: @section-content-body-hover-link-color-visited;
        }
      }
    }

    p,
    li {
      color: @black;
    }
  }

  .sections-content-quote {
    flex-shrink: 0;
    width: 100%;
    padding: 4rem;
    border: none;
    color: @white;
    background-color: @collaborations-black;
    font-weight: 500;

    @media (min-width: @screen-md-min) {
      width: @section-quote-bar-width;
      padding: @section-content-quote-padding-x;
      padding-top: @section-content-padding-y;
    }
  }

  .sections-content-quote-icon-wrapper {
    margin-bottom: 4em;
    width: 5em;
  }

  .sections-content-quote-icon {
    width: 100%;
  }

  .sections-content-quote-author {
    font-weight: 400;

    p {
      margin-bottom: 0;
    }
  }
}

// Table of Contents Bookmark
.collaborations-table-of-contents {
  position: sticky;
  top: 0;
  z-index: 10;
  margin: 0 -15px;
  padding: 0;

  .table-of-contents-links {
    position: relative;
    display: flex;
    justify-content: center;
    width: 100%;
    margin: 0;
    padding: 0;
    list-style: none;
    cursor: pointer;
    user-select: none;
  }

  .table-of-contents-link-item {
    width: 100%;
  }

  .table-of-contents-link {
    display: inline-block;
    position: relative;
    width: 100%;
    color: @white;
    background-color: @brand-primary;
    padding: 0.75em 0;

    &:visited {
      color: @white;
    }

    &:hover {
      text-decoration: none;
      background-color: @table-of-contents-hover-background-color;

      @media (min-width: @screen-md-min) {
        .table-of-contents-rollover-md {
          display: inline-block;
        }
      }
    };
  }

  .table-of-contents-link-heading {
    font-size: 2rem;
    font-weight: 900;
  }

  .table-of-contents-rollover {
    background-color: @table-of-contents-hover-background-color;

    a,
    p {
      color: @white;
    }
  }

  .table-of-contents-rollover-md {
    display: none;
  }

  @media (min-width: @screen-md-min) {
    margin: auto;
    margin-bottom: 6rem;

    .table-of-contents-rollover-md {
      position: absolute;
      top: calc(100% - 1px);
      left: 0;
      width: 100%;
      background-color: inherit;
    }

    .link-drop-content {
      padding: 0 2rem 2rem 2rem;
    }

    .link-drop-angle-container {
      position: relative;
    }

    .link-drop-angle {
      position: absolute;
      top: 100%;
      width: 100%;
      height: 4rem;
      background-color: @table-of-contents-hover-background-color;
      clip-path: polygon(0% 0%, 100% 0%, 100% 100%, 0% 0%);
    }
  }

  .table-of-contents-rollover-xs {
    position: absolute;
    display: none;
    align-items: center;
    width: 100%;
    min-height: 100%;
    background-color: @table-of-contents-hover-background-color;
    padding: 1rem;

    @media (min-width: @screen-md-min) {
      display: none;
    }
  }
}

.logo-grid {
  list-style: none;

  .logo-grid-logo-wrapper {
    display: flex;
    align-items: center;
    width: 8rem;
    height: 8rem;
    padding: 1rem;
    margin: 1rem 0;
    background-color: @white;
    border: 1px @section-content-border-color solid;

    @media (min-width: @screen-xs-min) {
      width: 10.5rem;
      height: 10.5rem;
    }
  }

  .logo-grid-logo {
    width: 100%;
    object-fit: contain;
  }
}
